# SIMKPI Frontend
Dibuat untuk memenuhi Tugas Besar IF3250 Proyek Perangkat Lunak
dengan Product Owner YPM Salman ITB

## Deskripsi Proyek
Sistem SIMKPI adalah sebuah sistem yang dirancang untuk membantu manajemen KPI karyawan dalam sebuah organisasi, yang akan digunakan oleh pihak YPM Salman ITB. Repository ini adalah bagian Frontend dari sistem yang akan di deploy bersama dengan bagian Backend pada server yang ditentukan oleh pihak YPM Salman ITB.

## Requirements
- Vue ^3

## Instalasi
1. Memiliki node dan npm
2. Jalankan npm install pada terminal
3. Jalankan npm run build pada terminal
4. Hasil build  terdapat pada direktori dist 

## Fungsionalitas
Berikut adalah beberapa fungsionalitas yang dicakup oleh sistem aplikasi.
1. Melakukan Login
2. Melakukan Logout
3. Melihat Profil
4. Mengganti Kata Sandi
5. Melihat Index Karyawan
6. Menambahkan Karyawan secara Individu
7. Menambahkan Karyawan dengan File CSV
8. Melihat Detail Karyawan
9. Mengedit Data Karyawan
10. Menghapus Data Karyawan
11. Melihat Index Admin
12. Menambahkan Admin
13. Menghapus Admin
14. Mengedit data Admin
15. Melihat Index Departemen
16. Menambahkan Departemen
17. Menghapus Departemen
18. Melihat Index KPI yang dimiliki
19. Melihat Detail KPI
20. Membuat Response KPI
21. Melihat Index Response yang dibuat
22. Melihat Detail Response yang dibuat
23. Membuat Komentar
24. Melihat Index KPI Bawahan
25. Membuat KPI baru
26. Melihat Detail KPI yang dibuat
27. Mendaftarkan KPI ke Bawahan
28. Menghapus KPI dari Bawahan
29. Melihat Index bawahan
30. Melihat Detail Bawahan
31. Melihat KPI Response dari Bawahan
32. Approve, Reject, atau Adjust, KPI Response
33. Membuat Laporan KPI

## Dokumentasi
Dokumentasi untuk proyek ini terdapat pada beberapa dokumen sebagai berikut.
1. [Dokumen User / User Manual](https://bit.ly/SIMKPI-Manual)
2. [Dokumen Teknis](https://drive.google.com/file/d/1zvU119XyDc91bH-_6y5yOsxjrhsPnpSr/view?usp=sharing)

### Anggota Kelompok
- 113519072 - Hanif Arroisi Mukhlis
- 13519100 - Aulia Adila
- 13519182 - Farrell Abieza Zidan
- 13519187 - Ahmad Saladin
- 13519197 - Muhammad Jafar Gundari

